{
  "type": "excalidraw",
  "version": 2,
  "source": "https://marketplace.visualstudio.com/items?itemName=pomdtr.excalidraw-editor",
  "elements": [
    {
      "type": "rectangle",
      "version": 176,
      "versionNonce": 1082837685,
      "isDeleted": false,
      "id": "uZ7r8kTZMh7yurtuBY5q9",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "angle": 0,
      "x": 361.6214741604714,
      "y": 514.7230331114546,
      "strokeColor": "#1e1e1e",
      "backgroundColor": "transparent",
      "width": 104.20703125,
      "height": 61.6953125,
      "seed": 2050273563,
      "groupIds": [],
      "frameId": null,
      "roundness": {
        "type": 3
      },
      "boundElements": [
        {
          "type": "text",
          "id": "c8lQAVFXKf-rNq1_kJNwc"
        },
        {
          "id": "1nHseVkaKF3v_U34NNHNY",
          "type": "arrow"
        },
        {
          "id": "Uq8lu3A5w7osOTXoK5aRj",
          "type": "arrow"
        }
      ],
      "updated": 1736783849893,
      "link": null,
      "locked": false
    },
    {
      "type": "text",
      "version": 151,
      "versionNonce": 2053383963,
      "isDeleted": false,
      "id": "c8lQAVFXKf-rNq1_kJNwc",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "angle": 0,
      "x": 392.0648335354714,
      "y": 533.0706893614546,
      "strokeColor": "#1e1e1e",
      "backgroundColor": "transparent",
      "width": 43.3203125,
      "height": 25,
      "seed": 945149371,
      "groupIds": [],
      "frameId": null,
      "roundness": null,
      "boundElements": [],
      "updated": 1736783849893,
      "link": null,
      "locked": false,
      "fontSize": 20,
      "fontFamily": 1,
      "text": "AdW",
      "textAlign": "center",
      "verticalAlign": "middle",
      "containerId": "uZ7r8kTZMh7yurtuBY5q9",
      "originalText": "AdW",
      "lineHeight": 1.25,
      "baseline": 19
    },
    {
      "type": "rectangle",
      "version": 206,
      "versionNonce": 1789504533,
      "isDeleted": false,
      "id": "Ma2sz0PoYjA2HGtG52FnB",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "angle": 0,
      "x": 39.055067910471365,
      "y": 514.8402206114546,
      "strokeColor": "#1e1e1e",
      "backgroundColor": "transparent",
      "width": 132.84765625,
      "height": 61.6953125,
      "seed": 692532059,
      "groupIds": [],
      "frameId": null,
      "roundness": {
        "type": 3
      },
      "boundElements": [
        {
          "id": "1nHseVkaKF3v_U34NNHNY",
          "type": "arrow"
        },
        {
          "id": "vAl3kb9lgc1l96r2ZQ3LH",
          "type": "arrow"
        },
        {
          "type": "text",
          "id": "xrO7Vwtek0r5lvxgPwUs6"
        }
      ],
      "updated": 1736783849893,
      "link": null,
      "locked": false
    },
    {
      "type": "text",
      "version": 62,
      "versionNonce": 791055291,
      "isDeleted": false,
      "id": "xrO7Vwtek0r5lvxgPwUs6",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "angle": 0,
      "x": 64.93202103547137,
      "y": 533.1878768614546,
      "strokeColor": "#1e1e1e",
      "backgroundColor": "transparent",
      "width": 81.09375,
      "height": 25,
      "seed": 1583222779,
      "groupIds": [],
      "frameId": null,
      "roundness": null,
      "boundElements": null,
      "updated": 1736783849893,
      "link": null,
      "locked": false,
      "fontSize": 20,
      "fontFamily": 1,
      "text": "Bw_delay",
      "textAlign": "center",
      "verticalAlign": "middle",
      "containerId": "Ma2sz0PoYjA2HGtG52FnB",
      "originalText": "Bw_delay",
      "lineHeight": 1.25,
      "baseline": 19
    },
    {
      "type": "rectangle",
      "version": 271,
      "versionNonce": 623206773,
      "isDeleted": false,
      "id": "OclMKebqW7roGhRg_i7EN",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "angle": 0,
      "x": 39.055067910471365,
      "y": 323.4652206114546,
      "strokeColor": "#1e1e1e",
      "backgroundColor": "transparent",
      "width": 132.84765625,
      "height": 61.6953125,
      "seed": 300010395,
      "groupIds": [],
      "frameId": null,
      "roundness": {
        "type": 3
      },
      "boundElements": [
        {
          "type": "text",
          "id": "YQrci4yhwWsAAuTRt9ac6"
        },
        {
          "id": "HhEgHae7kWHK67rpH3Hmb",
          "type": "arrow"
        },
        {
          "id": "y4m1HEWhPmKIDFchUQdGx",
          "type": "arrow"
        }
      ],
      "updated": 1736783849893,
      "link": null,
      "locked": false
    },
    {
      "type": "text",
      "version": 128,
      "versionNonce": 863198299,
      "isDeleted": false,
      "id": "YQrci4yhwWsAAuTRt9ac6",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "angle": 0,
      "x": 66.04041947297137,
      "y": 341.8128768614546,
      "strokeColor": "#1e1e1e",
      "backgroundColor": "transparent",
      "width": 78.876953125,
      "height": 25,
      "seed": 1081843771,
      "groupIds": [],
      "frameId": null,
      "roundness": null,
      "boundElements": [],
      "updated": 1736783849893,
      "link": null,
      "locked": false,
      "fontSize": 20,
      "fontFamily": 1,
      "text": "Fw_delay",
      "textAlign": "center",
      "verticalAlign": "middle",
      "containerId": "OclMKebqW7roGhRg_i7EN",
      "originalText": "Fw_delay",
      "lineHeight": 1.25,
      "baseline": 19
    },
    {
      "type": "rectangle",
      "version": 360,
      "versionNonce": 1967352533,
      "isDeleted": false,
      "id": "J2_e3k_FUq6vXINHQhRse",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "angle": 0,
      "x": -95.99180708952863,
      "y": 323.3402206114546,
      "strokeColor": "#1e1e1e",
      "backgroundColor": "transparent",
      "width": 79.0703125,
      "height": 61.69531250000002,
      "seed": 1915871451,
      "groupIds": [],
      "frameId": null,
      "roundness": {
        "type": 3
      },
      "boundElements": [
        {
          "type": "text",
          "id": "gSEsn2z5hyeT5fLmbz5xj"
        },
        {
          "id": "y4m1HEWhPmKIDFchUQdGx",
          "type": "arrow"
        },
        {
          "id": "vAl3kb9lgc1l96r2ZQ3LH",
          "type": "arrow"
        },
        {
          "id": "8vCYE6LIUElQDGc2BKN4y",
          "type": "arrow"
        }
      ],
      "updated": 1736783849893,
      "link": null,
      "locked": false
    },
    {
      "type": "text",
      "version": 220,
      "versionNonce": 52238587,
      "isDeleted": false,
      "id": "gSEsn2z5hyeT5fLmbz5xj",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "angle": 0,
      "x": -68.11680708952863,
      "y": 341.6878768614546,
      "strokeColor": "#1e1e1e",
      "backgroundColor": "transparent",
      "width": 23.3203125,
      "height": 25,
      "seed": 1620512123,
      "groupIds": [],
      "frameId": null,
      "roundness": null,
      "boundElements": [],
      "updated": 1736783849893,
      "link": null,
      "locked": false,
      "fontSize": 20,
      "fontFamily": 1,
      "text": "Gc",
      "textAlign": "center",
      "verticalAlign": "middle",
      "containerId": "J2_e3k_FUq6vXINHQhRse",
      "originalText": "Gc",
      "lineHeight": 1.25,
      "baseline": 19
    },
    {
      "type": "rectangle",
      "version": 234,
      "versionNonce": 463030325,
      "isDeleted": false,
      "id": "tzW6QiGv6ZOHF0GGN7nnU",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "angle": 0,
      "x": 361.3930508661257,
      "y": 323.6936444058003,
      "strokeColor": "#1e1e1e",
      "backgroundColor": "transparent",
      "width": 104.20703125,
      "height": 61.6953125,
      "seed": 1861068315,
      "groupIds": [],
      "frameId": null,
      "roundness": {
        "type": 3
      },
      "boundElements": [
        {
          "type": "text",
          "id": "16YhbEYc9bPjYRy09N6hg"
        },
        {
          "id": "4meGPzdga8CEdPALAE_qS",
          "type": "arrow"
        },
        {
          "id": "k4enAL4powe1eHxOouw4i",
          "type": "arrow"
        }
      ],
      "updated": 1736783849893,
      "link": null,
      "locked": false
    },
    {
      "type": "text",
      "version": 214,
      "versionNonce": 2074493339,
      "isDeleted": false,
      "id": "16YhbEYc9bPjYRy09N6hg",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "angle": 0,
      "x": 401.8266446161257,
      "y": 342.0413006558003,
      "strokeColor": "#1e1e1e",
      "backgroundColor": "transparent",
      "width": 23.33984375,
      "height": 25,
      "seed": 1948789435,
      "groupIds": [],
      "frameId": null,
      "roundness": null,
      "boundElements": [],
      "updated": 1736783849893,
      "link": null,
      "locked": false,
      "fontSize": 20,
      "fontFamily": 1,
      "text": "1/s",
      "textAlign": "center",
      "verticalAlign": "middle",
      "containerId": "tzW6QiGv6ZOHF0GGN7nnU",
      "originalText": "1/s",
      "lineHeight": 1.25,
      "baseline": 19
    },
    {
      "type": "ellipse",
      "version": 364,
      "versionNonce": 705460629,
      "isDeleted": false,
      "id": "oIW35aeFc4DKA76-ErVu_",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "angle": 0,
      "x": 242.21913041047137,
      "y": 334.8128778614546,
      "strokeColor": "#1e1e1e",
      "backgroundColor": "transparent",
      "width": 39,
      "height": 39,
      "seed": 1156127579,
      "groupIds": [
        "lSpENc34645VZL20Ob9TB"
      ],
      "frameId": null,
      "roundness": {
        "type": 2
      },
      "boundElements": [
        {
          "id": "a7yD5jPAY4ByaKzcXt58t",
          "type": "arrow"
        },
        {
          "id": "HhEgHae7kWHK67rpH3Hmb",
          "type": "arrow"
        },
        {
          "id": "4meGPzdga8CEdPALAE_qS",
          "type": "arrow"
        }
      ],
      "updated": 1736783849893,
      "link": null,
      "locked": false
    },
    {
      "type": "line",
      "version": 361,
      "versionNonce": 641816123,
      "isDeleted": false,
      "id": "6FBu3zV_KR0yYZl_ESN5U",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "angle": 0,
      "x": 261.226265533855,
      "y": 342.8128778614546,
      "strokeColor": "#1e1e1e",
      "backgroundColor": "transparent",
      "width": 0,
      "height": 22,
      "seed": 2105735163,
      "groupIds": [
        "lSpENc34645VZL20Ob9TB"
      ],
      "frameId": null,
      "roundness": {
        "type": 2
      },
      "boundElements": [],
      "updated": 1736783849893,
      "link": null,
      "locked": false,
      "startBinding": null,
      "endBinding": null,
      "lastCommittedPoint": null,
      "startArrowhead": null,
      "endArrowhead": null,
      "points": [
        [
          0,
          0
        ],
        [
          0,
          22
        ]
      ]
    },
    {
      "type": "line",
      "version": 399,
      "versionNonce": 1506967285,
      "isDeleted": false,
      "id": "Grmyp-m1Vix7MWIWVQDmg",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "angle": 0,
      "x": 249.56098371750656,
      "y": 354.2302369532804,
      "strokeColor": "#1e1e1e",
      "backgroundColor": "transparent",
      "width": 24.641493777715596,
      "height": 0,
      "seed": 200818843,
      "groupIds": [
        "lSpENc34645VZL20Ob9TB"
      ],
      "frameId": null,
      "roundness": {
        "type": 2
      },
      "boundElements": [],
      "updated": 1736783849893,
      "link": null,
      "locked": false,
      "startBinding": null,
      "endBinding": null,
      "lastCommittedPoint": null,
      "startArrowhead": null,
      "endArrowhead": null,
      "points": [
        [
          0,
          0
        ],
        [
          24.641493777715596,
          0
        ]
      ]
    },
    {
      "type": "ellipse",
      "version": 605,
      "versionNonce": 1104205531,
      "isDeleted": false,
      "id": "m7aaWkwCf-44kqgsNNtTJ",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "angle": 0,
      "x": 554.0257706604715,
      "y": 430.4417828614546,
      "strokeColor": "#1e1e1e",
      "backgroundColor": "transparent",
      "width": 39,
      "height": 39,
      "seed": 2046522683,
      "groupIds": [
        "1rkvPfmxntBL_t0rBFSgn"
      ],
      "frameId": null,
      "roundness": {
        "type": 2
      },
      "boundElements": [
        {
          "id": "k4enAL4powe1eHxOouw4i",
          "type": "arrow"
        },
        {
          "id": "Uq8lu3A5w7osOTXoK5aRj",
          "type": "arrow"
        },
        {
          "id": "OGUjy8Yerhj8h0ggFNMIk",
          "type": "arrow"
        }
      ],
      "updated": 1736783849893,
      "link": null,
      "locked": false
    },
    {
      "type": "line",
      "version": 604,
      "versionNonce": 561043541,
      "isDeleted": false,
      "id": "iXw2rB1hke-hKBoSud6vP",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "angle": 0,
      "x": 573.0329057838551,
      "y": 438.4417828614546,
      "strokeColor": "#1e1e1e",
      "backgroundColor": "transparent",
      "width": 0,
      "height": 22,
      "seed": 1995380187,
      "groupIds": [
        "1rkvPfmxntBL_t0rBFSgn"
      ],
      "frameId": null,
      "roundness": {
        "type": 2
      },
      "boundElements": [],
      "updated": 1736783849893,
      "link": null,
      "locked": false,
      "startBinding": null,
      "endBinding": null,
      "lastCommittedPoint": null,
      "startArrowhead": null,
      "endArrowhead": null,
      "points": [
        [
          0,
          0
        ],
        [
          0,
          22
        ]
      ]
    },
    {
      "type": "line",
      "version": 642,
      "versionNonce": 216482683,
      "isDeleted": false,
      "id": "oAWRWbYnpLpKlHDHf-qKb",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "angle": 0,
      "x": 561.3676239675067,
      "y": 449.8591419532804,
      "strokeColor": "#1e1e1e",
      "backgroundColor": "transparent",
      "width": 24.641493777715596,
      "height": 0,
      "seed": 568697467,
      "groupIds": [
        "1rkvPfmxntBL_t0rBFSgn"
      ],
      "frameId": null,
      "roundness": {
        "type": 2
      },
      "boundElements": [],
      "updated": 1736783849893,
      "link": null,
      "locked": false,
      "startBinding": null,
      "endBinding": null,
      "lastCommittedPoint": null,
      "startArrowhead": null,
      "endArrowhead": null,
      "points": [
        [
          0,
          0
        ],
        [
          24.641493777715596,
          0
        ]
      ]
    },
    {
      "type": "arrow",
      "version": 80,
      "versionNonce": 180159925,
      "isDeleted": false,
      "id": "a7yD5jPAY4ByaKzcXt58t",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "angle": 0,
      "x": 261.60584916047145,
      "y": 48.064570330512936,
      "strokeColor": "#1e1e1e",
      "backgroundColor": "transparent",
      "width": 5.684341886080802e-14,
      "height": 280.81861903094165,
      "seed": 329358107,
      "groupIds": [],
      "frameId": null,
      "roundness": {
        "type": 2
      },
      "boundElements": [],
      "updated": 1736783849893,
      "link": null,
      "locked": false,
      "startBinding": null,
      "endBinding": {
        "elementId": "oIW35aeFc4DKA76-ErVu_",
        "focus": -0.005809294871795136,
        "gap": 5.929940814886567
      },
      "lastCommittedPoint": null,
      "startArrowhead": null,
      "endArrowhead": "triangle",
      "points": [
        [
          0,
          0
        ],
        [
          -5.684341886080802e-14,
          280.81861903094165
        ]
      ]
    },
    {
      "type": "line",
      "version": 53,
      "versionNonce": 1338448923,
      "isDeleted": false,
      "id": "V-GDQffARKOSjl019S5qB",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "angle": 0,
      "x": 273.8050679104714,
      "y": 301.7113143614546,
      "strokeColor": "#1e1e1e",
      "backgroundColor": "transparent",
      "width": 17.0703125,
      "height": 0,
      "seed": 680886203,
      "groupIds": [],
      "frameId": null,
      "roundness": {
        "type": 2
      },
      "boundElements": [],
      "updated": 1736783849893,
      "link": null,
      "locked": false,
      "startBinding": null,
      "endBinding": null,
      "lastCommittedPoint": null,
      "startArrowhead": null,
      "endArrowhead": null,
      "points": [
        [
          0,
          0
        ],
        [
          17.0703125,
          0
        ]
      ]
    },
    {
      "type": "text",
      "version": 10,
      "versionNonce": 1222412053,
      "isDeleted": false,
      "id": "UPYE_slZn66EJMZrS2csB",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "angle": 0,
      "x": 233.46913041047137,
      "y": 277.2894393614546,
      "strokeColor": "#1e1e1e",
      "backgroundColor": "transparent",
      "width": 15.931991577148438,
      "height": 35,
      "seed": 182702171,
      "groupIds": [],
      "frameId": null,
      "roundness": null,
      "boundElements": [],
      "updated": 1736783849894,
      "link": null,
      "locked": false,
      "fontSize": 28,
      "fontFamily": 1,
      "text": "d",
      "textAlign": "left",
      "verticalAlign": "top",
      "containerId": null,
      "originalText": "d",
      "lineHeight": 1.25,
      "baseline": 25
    },
    {
      "type": "arrow",
      "version": 27,
      "versionNonce": 644014267,
      "isDeleted": false,
      "id": "HhEgHae7kWHK67rpH3Hmb",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "angle": 0,
      "x": 177.94569291047137,
      "y": 355.4066268614546,
      "strokeColor": "#1e1e1e",
      "backgroundColor": "transparent",
      "width": 58.8515625,
      "height": 0,
      "seed": 2086604027,
      "groupIds": [],
      "frameId": null,
      "roundness": {
        "type": 2
      },
      "boundElements": [],
      "updated": 1736783849894,
      "link": null,
      "locked": false,
      "startBinding": {
        "focus": 0.035456502469292134,
        "gap": 6.04296875,
        "elementId": "OclMKebqW7roGhRg_i7EN"
      },
      "endBinding": {
        "focus": -0.05608969230769245,
        "gap": 5.44586419410291,
        "elementId": "oIW35aeFc4DKA76-ErVu_"
      },
      "lastCommittedPoint": null,
      "startArrowhead": null,
      "endArrowhead": "triangle",
      "points": [
        [
          0,
          0
        ],
        [
          58.8515625,
          0
        ]
      ]
    },
    {
      "type": "arrow",
      "version": 96,
      "versionNonce": 239393909,
      "isDeleted": false,
      "id": "4meGPzdga8CEdPALAE_qS",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "angle": 0,
      "x": 293.1566304104714,
      "y": 355.4066268614546,
      "strokeColor": "#1e1e1e",
      "backgroundColor": "transparent",
      "width": 58.6231392056543,
      "height": 0.11301042143628592,
      "seed": 29682421,
      "groupIds": [],
      "frameId": null,
      "roundness": {
        "type": 2
      },
      "boundElements": null,
      "updated": 1736783849894,
      "link": null,
      "locked": false,
      "startBinding": {
        "focus": 0.05608969230769244,
        "gap": 11.956520677357204,
        "elementId": "oIW35aeFc4DKA76-ErVu_"
      },
      "endBinding": {
        "focus": -0.03545648626060533,
        "gap": 9.61328125,
        "elementId": "tzW6QiGv6ZOHF0GGN7nnU"
      },
      "lastCommittedPoint": null,
      "startArrowhead": null,
      "endArrowhead": "triangle",
      "points": [
        [
          0,
          0
        ],
        [
          58.6231392056543,
          0.11301042143628592
        ]
      ]
    },
    {
      "type": "arrow",
      "version": 62,
      "versionNonce": 173871451,
      "isDeleted": false,
      "id": "1nHseVkaKF3v_U34NNHNY",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "angle": 0,
      "x": 353.7425679104714,
      "y": 545.9535018614546,
      "strokeColor": "#1e1e1e",
      "backgroundColor": "transparent",
      "width": 173.328125,
      "height": 0.7292909831479619,
      "seed": 110512699,
      "groupIds": [],
      "frameId": null,
      "roundness": {
        "type": 2
      },
      "boundElements": [],
      "updated": 1736783849894,
      "link": null,
      "locked": false,
      "startBinding": {
        "focus": -0.012409775864252248,
        "gap": 7.87890625,
        "elementId": "uZ7r8kTZMh7yurtuBY5q9"
      },
      "endBinding": {
        "focus": 0.008610864885399519,
        "gap": 8.51171875,
        "elementId": "Ma2sz0PoYjA2HGtG52FnB"
      },
      "lastCommittedPoint": null,
      "startArrowhead": null,
      "endArrowhead": "triangle",
      "points": [
        [
          0,
          0
        ],
        [
          -173.328125,
          0.7292909831479619
        ]
      ]
    },
    {
      "type": "arrow",
      "version": 34,
      "versionNonce": 582714837,
      "isDeleted": false,
      "id": "y4m1HEWhPmKIDFchUQdGx",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "angle": 0,
      "x": -9.179307089528635,
      "y": 355.2269393614546,
      "strokeColor": "#1e1e1e",
      "backgroundColor": "transparent",
      "width": 40.109375,
      "height": 0,
      "seed": 862407387,
      "groupIds": [],
      "frameId": null,
      "roundness": {
        "type": 2
      },
      "boundElements": [],
      "updated": 1736783849894,
      "link": null,
      "locked": false,
      "startBinding": {
        "elementId": "J2_e3k_FUq6vXINHQhRse",
        "focus": 0.033683677345827515,
        "gap": 7.7421875
      },
      "endBinding": {
        "elementId": "OclMKebqW7roGhRg_i7EN",
        "focus": -0.029631505635051285,
        "gap": 8.125
      },
      "lastCommittedPoint": null,
      "startArrowhead": null,
      "endArrowhead": "triangle",
      "points": [
        [
          0,
          0
        ],
        [
          40.109375,
          0
        ]
      ]
    },
    {
      "type": "arrow",
      "version": 288,
      "versionNonce": 487075323,
      "isDeleted": false,
      "id": "vAl3kb9lgc1l96r2ZQ3LH",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "angle": 0,
      "x": 32.633192910471365,
      "y": 547.8356384777053,
      "strokeColor": "#1e1e1e",
      "backgroundColor": "transparent",
      "width": 222.11328125,
      "height": 193.9758866162507,
      "seed": 1804547963,
      "groupIds": [],
      "frameId": null,
      "roundness": {
        "type": 2
      },
      "boundElements": [],
      "updated": 1736783849894,
      "link": null,
      "locked": false,
      "startBinding": {
        "focus": -0.1963047186881844,
        "gap": 6.421875,
        "elementId": "Ma2sz0PoYjA2HGtG52FnB"
      },
      "endBinding": {
        "focus": 0.3078979698253058,
        "gap": 5.046875,
        "elementId": "J2_e3k_FUq6vXINHQhRse"
      },
      "lastCommittedPoint": null,
      "startArrowhead": null,
      "endArrowhead": "triangle",
      "points": [
        [
          0,
          0
        ],
        [
          -210.76953125,
          -17.444636616250705
        ],
        [
          -222.11328125,
          -168.9524491162507
        ],
        [
          -133.671875,
          -193.9758866162507
        ]
      ]
    },
    {
      "type": "arrow",
      "version": 132,
      "versionNonce": 961938229,
      "isDeleted": false,
      "id": "k4enAL4powe1eHxOouw4i",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "angle": 0,
      "x": 473.3618008661257,
      "y": 353.3835498817659,
      "strokeColor": "#1e1e1e",
      "backgroundColor": "transparent",
      "width": 98.8846732943457,
      "height": 71.80078125,
      "seed": 2102431771,
      "groupIds": [],
      "frameId": null,
      "roundness": {
        "type": 2
      },
      "boundElements": [],
      "updated": 1736783849894,
      "link": null,
      "locked": false,
      "startBinding": {
        "elementId": "tzW6QiGv6ZOHF0GGN7nnU",
        "focus": -0.014517970166962752,
        "gap": 7.76171875
      },
      "endBinding": {
        "elementId": "m7aaWkwCf-44kqgsNNtTJ",
        "focus": 0.10776123731083821,
        "gap": 6.3363790730285
      },
      "lastCommittedPoint": null,
      "startArrowhead": null,
      "endArrowhead": "triangle",
      "points": [
        [
          0,
          0
        ],
        [
          89.4276420443457,
          -1.0472355203112897
        ],
        [
          98.8846732943457,
          70.75354572968871
        ]
      ]
    },
    {
      "type": "arrow",
      "version": 98,
      "versionNonce": 828815003,
      "isDeleted": false,
      "id": "Uq8lu3A5w7osOTXoK5aRj",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "angle": 0,
      "x": 573.5472554104714,
      "y": 476.4925643614546,
      "strokeColor": "#1e1e1e",
      "backgroundColor": "transparent",
      "width": 103.21484375,
      "height": 72.171875,
      "seed": 1251857595,
      "groupIds": [],
      "frameId": null,
      "roundness": {
        "type": 2
      },
      "boundElements": [],
      "updated": 1736783849894,
      "link": null,
      "locked": false,
      "startBinding": {
        "elementId": "m7aaWkwCf-44kqgsNNtTJ",
        "focus": -0.11277380563345464,
        "gap": 7.050790192670817
      },
      "endBinding": {
        "elementId": "uZ7r8kTZMh7yurtuBY5q9",
        "focus": 0.23741253744672108,
        "gap": 4.50390625
      },
      "lastCommittedPoint": null,
      "startArrowhead": null,
      "endArrowhead": "triangle",
      "points": [
        [
          0,
          0
        ],
        [
          -5.16796875,
          62.796875
        ],
        [
          -103.21484375,
          72.171875
        ]
      ]
    },
    {
      "type": "arrow",
      "version": 78,
      "versionNonce": 108647573,
      "isDeleted": false,
      "id": "OGUjy8Yerhj8h0ggFNMIk",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "angle": 0,
      "x": 710.0980366604714,
      "y": 450.3206893614546,
      "strokeColor": "#1e1e1e",
      "backgroundColor": "transparent",
      "width": 110.9375,
      "height": 0.109375,
      "seed": 1394181467,
      "groupIds": [],
      "frameId": null,
      "roundness": {
        "type": 2
      },
      "boundElements": [],
      "updated": 1736783849894,
      "link": null,
      "locked": false,
      "startBinding": null,
      "endBinding": {
        "elementId": "m7aaWkwCf-44kqgsNNtTJ",
        "focus": 0.012526034273306126,
        "gap": 6.136182927734055
      },
      "lastCommittedPoint": null,
      "startArrowhead": null,
      "endArrowhead": "triangle",
      "points": [
        [
          0,
          0
        ],
        [
          -110.9375,
          -0.109375
        ]
      ]
    },
    {
      "type": "line",
      "version": 95,
      "versionNonce": 371927867,
      "isDeleted": false,
      "id": "TgEORJYU2Ul9j_Jaafai6",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "angle": 0,
      "x": 527.1019429104714,
      "y": 416.3089706114546,
      "strokeColor": "#1e1e1e",
      "backgroundColor": "transparent",
      "width": 20.38671875,
      "height": 0,
      "seed": 2115379707,
      "groupIds": [],
      "frameId": null,
      "roundness": {
        "type": 2
      },
      "boundElements": [],
      "updated": 1736783849894,
      "link": null,
      "locked": false,
      "startBinding": null,
      "endBinding": null,
      "lastCommittedPoint": null,
      "startArrowhead": null,
      "endArrowhead": null,
      "points": [
        [
          0,
          0
        ],
        [
          20.38671875,
          0
        ]
      ]
    },
    {
      "type": "text",
      "version": 20,
      "versionNonce": 366770677,
      "isDeleted": false,
      "id": "DYvlDhYrIFWrxEf53m9Bf",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "angle": 0,
      "x": 628.3441304104714,
      "y": 403.8285018614546,
      "strokeColor": "#1e1e1e",
      "backgroundColor": "transparent",
      "width": 195.04791259765625,
      "height": 35,
      "seed": 613821083,
      "groupIds": [],
      "frameId": null,
      "roundness": null,
      "boundElements": [],
      "updated": 1736783849894,
      "link": null,
      "locked": false,
      "fontSize": 28,
      "fontFamily": 1,
      "text": "MaxRecBuffer",
      "textAlign": "left",
      "verticalAlign": "top",
      "containerId": null,
      "originalText": "MaxRecBuffer",
      "lineHeight": 1.25,
      "baseline": 25
    },
    {
      "type": "text",
      "version": 99,
      "versionNonce": 532155355,
      "isDeleted": false,
      "id": "J9ZC6uweSYTUx_YRfwg_b",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "angle": 0,
      "x": 539.9300679104714,
      "y": 356.8089706114546,
      "strokeColor": "#1e1e1e",
      "backgroundColor": "transparent",
      "width": 15.287994384765625,
      "height": 35,
      "seed": 1531715387,
      "groupIds": [],
      "frameId": null,
      "roundness": null,
      "boundElements": [],
      "updated": 1736783849894,
      "link": null,
      "locked": false,
      "fontSize": 28,
      "fontFamily": 1,
      "text": "q",
      "textAlign": "left",
      "verticalAlign": "top",
      "containerId": null,
      "originalText": "q",
      "lineHeight": 1.25,
      "baseline": 25
    },
    {
      "type": "line",
      "version": 137,
      "versionNonce": 1619227477,
      "isDeleted": false,
      "id": "y22cbdc41W2lFhnsaxHMk",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "angle": 0,
      "x": 3.298037982641283,
      "y": -174.1365166030162,
      "strokeColor": "#1e1e1e",
      "backgroundColor": "transparent",
      "width": 0,
      "height": 838.2882366626166,
      "seed": 2090500059,
      "groupIds": [],
      "frameId": null,
      "roundness": {
        "type": 2
      },
      "boundElements": [],
      "updated": 1736783849894,
      "link": null,
      "locked": false,
      "startBinding": null,
      "endBinding": null,
      "lastCommittedPoint": null,
      "startArrowhead": null,
      "endArrowhead": null,
      "points": [
        [
          0,
          0
        ],
        [
          0,
          838.2882366626166
        ]
      ]
    },
    {
      "type": "text",
      "version": 266,
      "versionNonce": 1914689659,
      "isDeleted": false,
      "id": "3z-3R6ta10fvmLM3iu_PN",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "angle": 0,
      "x": -141.0688847738305,
      "y": 40.69459390546845,
      "strokeColor": "#1e1e1e",
      "backgroundColor": "transparent",
      "width": 114.04795837402344,
      "height": 45,
      "seed": 1922288763,
      "groupIds": [],
      "frameId": null,
      "roundness": null,
      "boundElements": [],
      "updated": 1736783849894,
      "link": null,
      "locked": false,
      "fontSize": 36,
      "fontFamily": 1,
      "text": "Sender",
      "textAlign": "left",
      "verticalAlign": "top",
      "containerId": null,
      "originalText": "Sender",
      "lineHeight": 1.25,
      "baseline": 32
    },
    {
      "type": "text",
      "version": 228,
      "versionNonce": 583286965,
      "isDeleted": false,
      "id": "-MCnfYUG2oYQGDM01gKEM",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "angle": 0,
      "x": 28.360206844767617,
      "y": 40.49562002845508,
      "strokeColor": "#1e1e1e",
      "backgroundColor": "transparent",
      "width": 143.74790954589844,
      "height": 45,
      "seed": 1090159899,
      "groupIds": [],
      "frameId": null,
      "roundness": null,
      "boundElements": [],
      "updated": 1736783849894,
      "link": null,
      "locked": false,
      "fontSize": 36,
      "fontFamily": 1,
      "text": "Receiver",
      "textAlign": "left",
      "verticalAlign": "top",
      "containerId": null,
      "originalText": "Receiver",
      "lineHeight": 1.25,
      "baseline": 32
    },
    {
      "id": "aeMIjQle-BBKZ9UvU5pbf",
      "type": "arrow",
      "x": 264.3643663028041,
      "y": 130.94657779420942,
      "width": 372.3612213267155,
      "height": 0,
      "angle": 0,
      "strokeColor": "#1e1e1e",
      "backgroundColor": "transparent",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "roundness": {
        "type": 2
      },
      "seed": 1828697467,
      "version": 170,
      "versionNonce": 186978587,
      "isDeleted": false,
      "boundElements": null,
      "updated": 1736783849894,
      "link": null,
      "locked": false,
      "points": [
        [
          0,
          0
        ],
        [
          372.3612213267155,
          0
        ]
      ],
      "lastCommittedPoint": null,
      "startBinding": null,
      "endBinding": {
        "elementId": "DkVnT3UBHmC6y6HYOqI_-",
        "focus": -0.02965110070834516,
        "gap": 11.998627688116244
      },
      "startArrowhead": null,
      "endArrowhead": "triangle"
    },
    {
      "type": "ellipse",
      "version": 652,
      "versionNonce": 1917084181,
      "isDeleted": false,
      "id": "DkVnT3UBHmC6y6HYOqI_-",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "angle": 0,
      "x": 648.7189081131364,
      "y": 110.86838133039669,
      "strokeColor": "#1e1e1e",
      "backgroundColor": "transparent",
      "width": 39,
      "height": 39,
      "seed": 1855082939,
      "groupIds": [
        "b9cIFATGMmi2KqqCSdeAy"
      ],
      "frameId": null,
      "roundness": {
        "type": 2
      },
      "boundElements": [
        {
          "id": "FTNSCsyjWwmFl1bx2V04o",
          "type": "arrow"
        },
        {
          "id": "IBHcPw105vlYK0MmL4H1K",
          "type": "arrow"
        },
        {
          "id": "aeMIjQle-BBKZ9UvU5pbf",
          "type": "arrow"
        }
      ],
      "updated": 1736783849894,
      "link": null,
      "locked": false
    },
    {
      "type": "line",
      "version": 640,
      "versionNonce": 205141435,
      "isDeleted": false,
      "id": "9TLNM6H1iOJtJWU25v8p4",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "angle": 0,
      "x": 667.7260432365201,
      "y": 118.86838133039669,
      "strokeColor": "#1e1e1e",
      "backgroundColor": "transparent",
      "width": 0,
      "height": 22,
      "seed": 1568039515,
      "groupIds": [
        "b9cIFATGMmi2KqqCSdeAy"
      ],
      "frameId": null,
      "roundness": {
        "type": 2
      },
      "boundElements": null,
      "updated": 1736783849894,
      "link": null,
      "locked": false,
      "startBinding": null,
      "endBinding": null,
      "lastCommittedPoint": null,
      "startArrowhead": null,
      "endArrowhead": null,
      "points": [
        [
          0,
          0
        ],
        [
          0,
          22
        ]
      ]
    },
    {
      "type": "line",
      "version": 678,
      "versionNonce": 335107957,
      "isDeleted": false,
      "id": "XK-BjQ3zFPLPs7hh-LbR8",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "angle": 0,
      "x": 656.0607614201716,
      "y": 130.2857404222225,
      "strokeColor": "#1e1e1e",
      "backgroundColor": "transparent",
      "width": 24.641493777715596,
      "height": 0,
      "seed": 1120886523,
      "groupIds": [
        "b9cIFATGMmi2KqqCSdeAy"
      ],
      "frameId": null,
      "roundness": {
        "type": 2
      },
      "boundElements": null,
      "updated": 1736783849894,
      "link": null,
      "locked": false,
      "startBinding": null,
      "endBinding": null,
      "lastCommittedPoint": null,
      "startArrowhead": null,
      "endArrowhead": null,
      "points": [
        [
          0,
          0
        ],
        [
          24.641493777715596,
          0
        ]
      ]
    },
    {
      "id": "FTNSCsyjWwmFl1bx2V04o",
      "type": "arrow",
      "x": 667.1695886047361,
      "y": -121.45402422985921,
      "width": 0.1757587293235474,
      "height": 221.45008802395233,
      "angle": 0,
      "strokeColor": "#1e1e1e",
      "backgroundColor": "transparent",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "roundness": {
        "type": 2
      },
      "seed": 953515387,
      "version": 342,
      "versionNonce": 1149355611,
      "isDeleted": false,
      "boundElements": null,
      "updated": 1736783849894,
      "link": null,
      "locked": false,
      "points": [
        [
          0,
          0
        ],
        [
          0.1757587293235474,
          221.45008802395233
        ]
      ],
      "lastCommittedPoint": null,
      "startBinding": null,
      "endBinding": {
        "elementId": "DkVnT3UBHmC6y6HYOqI_-",
        "focus": -0.04356178739529432,
        "gap": 10.884877504455972
      },
      "startArrowhead": null,
      "endArrowhead": "triangle"
    },
    {
      "type": "rectangle",
      "version": 430,
      "versionNonce": 304652501,
      "isDeleted": false,
      "id": "_Qtq0jzNheCHTsimXKEZD",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "angle": 0,
      "x": 764.8760629307848,
      "y": 105.13137224776358,
      "strokeColor": "#1e1e1e",
      "backgroundColor": "transparent",
      "width": 104.20703125,
      "height": 61.6953125,
      "seed": 841757307,
      "groupIds": [],
      "frameId": null,
      "roundness": {
        "type": 3
      },
      "boundElements": [
        {
          "type": "text",
          "id": "2OBOMQxZQAxA48-14aXBB"
        },
        {
          "id": "IBHcPw105vlYK0MmL4H1K",
          "type": "arrow"
        },
        {
          "id": "dhm_EAYvTJxx-dTDGI5Mj",
          "type": "arrow"
        }
      ],
      "updated": 1736783849894,
      "link": null,
      "locked": false
    },
    {
      "type": "text",
      "version": 408,
      "versionNonce": 2060337915,
      "isDeleted": false,
      "id": "2OBOMQxZQAxA48-14aXBB",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "angle": 0,
      "x": 803.8395867955309,
      "y": 123.47902849776358,
      "strokeColor": "#1e1e1e",
      "backgroundColor": "transparent",
      "width": 26.279983520507812,
      "height": 25,
      "seed": 2090216219,
      "groupIds": [],
      "frameId": null,
      "roundness": null,
      "boundElements": [],
      "updated": 1736783849894,
      "link": null,
      "locked": false,
      "fontSize": 20,
      "fontFamily": 1,
      "text": "1/s",
      "textAlign": "center",
      "verticalAlign": "middle",
      "containerId": "_Qtq0jzNheCHTsimXKEZD",
      "originalText": "1/s",
      "lineHeight": 1.25,
      "baseline": 18
    },
    {
      "type": "arrow",
      "version": 442,
      "versionNonce": 308788789,
      "isDeleted": false,
      "id": "IBHcPw105vlYK0MmL4H1K",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "angle": 0,
      "x": 696.7754556972242,
      "y": 131.15654586145456,
      "strokeColor": "#1e1e1e",
      "backgroundColor": "transparent",
      "width": 58.6231392056543,
      "height": 0.11301042143628592,
      "seed": 1495254939,
      "groupIds": [],
      "frameId": null,
      "roundness": {
        "type": 2
      },
      "boundElements": null,
      "updated": 1736783849894,
      "link": null,
      "locked": false,
      "startBinding": {
        "elementId": "DkVnT3UBHmC6y6HYOqI_-",
        "focus": 0.03759556141146387,
        "gap": 9.067422236706722
      },
      "endBinding": {
        "elementId": "_Qtq0jzNheCHTsimXKEZD",
        "focus": 0.1483373792760943,
        "gap": 9.477468027906298
      },
      "lastCommittedPoint": null,
      "startArrowhead": null,
      "endArrowhead": "triangle",
      "points": [
        [
          0,
          0
        ],
        [
          58.6231392056543,
          0.11301042143628592
        ]
      ]
    },
    {
      "type": "ellipse",
      "version": 701,
      "versionNonce": 2080077045,
      "isDeleted": false,
      "id": "EXEwxiOfqlZoyE3G39nGl",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "angle": 0,
      "x": 947.6179269924546,
      "y": 110.86838133039669,
      "strokeColor": "#1e1e1e",
      "backgroundColor": "transparent",
      "width": 39,
      "height": 39,
      "seed": 562376757,
      "groupIds": [
        "9-TV4kHUOtMU9GxB9x6UK"
      ],
      "frameId": null,
      "roundness": {
        "type": 2
      },
      "boundElements": [
        {
          "id": "aeMIjQle-BBKZ9UvU5pbf",
          "type": "arrow"
        },
        {
          "id": "3hWCO1w4W23vX_l87HHM1",
          "type": "arrow"
        },
        {
          "id": "dhm_EAYvTJxx-dTDGI5Mj",
          "type": "arrow"
        },
        {
          "id": "haydj91EsuB9aQjETEows",
          "type": "arrow"
        }
      ],
      "updated": 1736783849894,
      "link": null,
      "locked": false
    },
    {
      "type": "line",
      "version": 692,
      "versionNonce": 1801076955,
      "isDeleted": false,
      "id": "Zm4Bj9--IuchOsC4Uz4VZ",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "angle": 0,
      "x": 966.6250621158383,
      "y": 118.86838133039669,
      "strokeColor": "#1e1e1e",
      "backgroundColor": "transparent",
      "width": 0,
      "height": 22,
      "seed": 1513841045,
      "groupIds": [
        "9-TV4kHUOtMU9GxB9x6UK"
      ],
      "frameId": null,
      "roundness": {
        "type": 2
      },
      "boundElements": [],
      "updated": 1736783849894,
      "link": null,
      "locked": false,
      "startBinding": null,
      "endBinding": null,
      "lastCommittedPoint": null,
      "startArrowhead": null,
      "endArrowhead": null,
      "points": [
        [
          0,
          0
        ],
        [
          0,
          22
        ]
      ]
    },
    {
      "type": "line",
      "version": 730,
      "versionNonce": 1057689173,
      "isDeleted": false,
      "id": "YCIE7xQyBTt0NdPLCvm1L",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "angle": 0,
      "x": 954.9597802994899,
      "y": 130.2857404222225,
      "strokeColor": "#1e1e1e",
      "backgroundColor": "transparent",
      "width": 24.641493777715596,
      "height": 0,
      "seed": 1944348405,
      "groupIds": [
        "9-TV4kHUOtMU9GxB9x6UK"
      ],
      "frameId": null,
      "roundness": {
        "type": 2
      },
      "boundElements": [],
      "updated": 1736783849894,
      "link": null,
      "locked": false,
      "startBinding": null,
      "endBinding": null,
      "lastCommittedPoint": null,
      "startArrowhead": null,
      "endArrowhead": null,
      "points": [
        [
          0,
          0
        ],
        [
          24.641493777715596,
          0
        ]
      ]
    },
    {
      "type": "arrow",
      "version": 684,
      "versionNonce": 1437822331,
      "isDeleted": false,
      "id": "dhm_EAYvTJxx-dTDGI5Mj",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "angle": 0,
      "x": 878.3220071064306,
      "y": 131.15654586145456,
      "strokeColor": "#1e1e1e",
      "backgroundColor": "transparent",
      "width": 58.6231392056543,
      "height": 0.11301042143628592,
      "seed": 1619637659,
      "groupIds": [],
      "frameId": null,
      "roundness": {
        "type": 2
      },
      "boundElements": [],
      "updated": 1736783849895,
      "link": null,
      "locked": false,
      "startBinding": {
        "elementId": "_Qtq0jzNheCHTsimXKEZD",
        "focus": -0.15964583903395693,
        "gap": 9.238912925645877
      },
      "endBinding": {
        "elementId": "EXEwxiOfqlZoyE3G39nGl",
        "focus": -0.04919685002045191,
        "gap": 10.686235444001493
      },
      "lastCommittedPoint": null,
      "startArrowhead": null,
      "endArrowhead": "triangle",
      "points": [
        [
          0,
          0
        ],
        [
          58.6231392056543,
          0.11301042143628592
        ]
      ]
    },
    {
      "id": "3hWCO1w4W23vX_l87HHM1",
      "type": "arrow",
      "x": 967.382041426542,
      "y": -121.45402422985921,
      "width": 0.1757587293235474,
      "height": 221.45008802395233,
      "angle": 0,
      "strokeColor": "#1e1e1e",
      "backgroundColor": "transparent",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "roundness": {
        "type": 2
      },
      "seed": 1513388507,
      "version": 527,
      "versionNonce": 597719989,
      "isDeleted": false,
      "boundElements": null,
      "updated": 1736783849895,
      "link": null,
      "locked": false,
      "points": [
        [
          0,
          0
        ],
        [
          0.1757587293235474,
          221.45008802395233
        ]
      ],
      "lastCommittedPoint": null,
      "startBinding": null,
      "endBinding": {
        "focus": 0.023793778184801325,
        "gap": 10.87550264482783,
        "elementId": "EXEwxiOfqlZoyE3G39nGl"
      },
      "startArrowhead": null,
      "endArrowhead": "triangle"
    },
    {
      "type": "rectangle",
      "version": 516,
      "versionNonce": 1098778139,
      "isDeleted": false,
      "id": "Iy_F0CX6mP5KaZiyHLwnd",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "angle": 0,
      "x": 310.6142390754648,
      "y": 695.5869748639465,
      "strokeColor": "#1e1e1e",
      "backgroundColor": "transparent",
      "width": 206.22150133061325,
      "height": 71.11365017020117,
      "seed": 249810267,
      "groupIds": [],
      "frameId": null,
      "roundness": {
        "type": 3
      },
      "boundElements": [
        {
          "id": "1nHseVkaKF3v_U34NNHNY",
          "type": "arrow"
        },
        {
          "id": "vAl3kb9lgc1l96r2ZQ3LH",
          "type": "arrow"
        },
        {
          "type": "text",
          "id": "kZjhU-TcLi1_mugPsdcOs"
        },
        {
          "id": "haydj91EsuB9aQjETEows",
          "type": "arrow"
        },
        {
          "id": "ROiTQz2KzlM6rZ7RRQOhh",
          "type": "arrow"
        }
      ],
      "updated": 1736783849895,
      "link": null,
      "locked": false
    },
    {
      "type": "text",
      "version": 536,
      "versionNonce": 568409365,
      "isDeleted": false,
      "id": "kZjhU-TcLi1_mugPsdcOs",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "angle": 0,
      "x": 351.03504833452143,
      "y": 718.6437999490471,
      "strokeColor": "#1e1e1e",
      "backgroundColor": "transparent",
      "width": 125.3798828125,
      "height": 25,
      "seed": 1498900987,
      "groupIds": [],
      "frameId": null,
      "roundness": null,
      "boundElements": null,
      "updated": 1736783849895,
      "link": null,
      "locked": false,
      "fontSize": 20,
      "fontFamily": 1,
      "text": "Video_Player",
      "textAlign": "center",
      "verticalAlign": "middle",
      "containerId": "Iy_F0CX6mP5KaZiyHLwnd",
      "originalText": "Video_Player",
      "lineHeight": 1.25,
      "baseline": 18
    },
    {
      "type": "rectangle",
      "version": 662,
      "versionNonce": 1437371067,
      "isDeleted": false,
      "id": "OmvWLqjKAJt977EZPfodw",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "angle": 0,
      "x": -555.1734170218999,
      "y": 93.2210118639465,
      "strokeColor": "#1e1e1e",
      "backgroundColor": "transparent",
      "width": 206.22150133061325,
      "height": 71.11365017020117,
      "seed": 740910683,
      "groupIds": [],
      "frameId": null,
      "roundness": {
        "type": 3
      },
      "boundElements": [
        {
          "type": "text",
          "id": "QzbISAAU-IGbRBD76Eeys"
        },
        {
          "id": "1nHseVkaKF3v_U34NNHNY",
          "type": "arrow"
        },
        {
          "id": "vAl3kb9lgc1l96r2ZQ3LH",
          "type": "arrow"
        },
        {
          "id": "ROiTQz2KzlM6rZ7RRQOhh",
          "type": "arrow"
        },
        {
          "id": "8vCYE6LIUElQDGc2BKN4y",
          "type": "arrow"
        }
      ],
      "updated": 1736783849895,
      "link": null,
      "locked": false
    },
    {
      "type": "text",
      "version": 696,
      "versionNonce": 289591925,
      "isDeleted": false,
      "id": "QzbISAAU-IGbRBD76Eeys",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "angle": 0,
      "x": -515.2326034903824,
      "y": 116.27783694904709,
      "strokeColor": "#1e1e1e",
      "backgroundColor": "transparent",
      "width": 126.33987426757812,
      "height": 25,
      "seed": 1283580667,
      "groupIds": [],
      "frameId": null,
      "roundness": null,
      "boundElements": [],
      "updated": 1736783849895,
      "link": null,
      "locked": false,
      "fontSize": 20,
      "fontFamily": 1,
      "text": "Video_Server",
      "textAlign": "center",
      "verticalAlign": "middle",
      "containerId": "OmvWLqjKAJt977EZPfodw",
      "originalText": "Video_Server",
      "lineHeight": 1.25,
      "baseline": 18
    },
    {
      "id": "haydj91EsuB9aQjETEows",
      "type": "arrow",
      "x": 967.382041426542,
      "y": 157.0193450129716,
      "width": 443.7025504800346,
      "height": 574.9301366788451,
      "angle": 0,
      "strokeColor": "#1e1e1e",
      "backgroundColor": "transparent",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "roundness": {
        "type": 2
      },
      "seed": 664269845,
      "version": 749,
      "versionNonce": 1366251515,
      "isDeleted": false,
      "boundElements": null,
      "updated": 1736783849895,
      "link": null,
      "locked": false,
      "points": [
        [
          0,
          0
        ],
        [
          -45.08962771812082,
          505.75333986773353
        ],
        [
          -443.7025504800346,
          574.9301366788451
        ]
      ],
      "lastCommittedPoint": null,
      "startBinding": {
        "elementId": "EXEwxiOfqlZoyE3G39nGl",
        "focus": -0.13485682782745498,
        "gap": 7.152272354233141
      },
      "endBinding": {
        "elementId": "Iy_F0CX6mP5KaZiyHLwnd",
        "focus": 0.3720712773259072,
        "gap": 6.84375054042934
      },
      "startArrowhead": null,
      "endArrowhead": "triangle"
    },
    {
      "id": "ROiTQz2KzlM6rZ7RRQOhh",
      "type": "arrow",
      "x": 305.03095962844543,
      "y": 731.0720238866738,
      "width": 763.4814749328065,
      "height": 556.8312053494802,
      "angle": 0,
      "strokeColor": "#1e1e1e",
      "backgroundColor": "transparent",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "roundness": {
        "type": 2
      },
      "seed": 1315273275,
      "version": 167,
      "versionNonce": 1104050485,
      "isDeleted": false,
      "boundElements": [],
      "updated": 1736783849895,
      "link": null,
      "locked": false,
      "points": [
        [
          0,
          0
        ],
        [
          -693.3913723160242,
          -74.4418507462857
        ],
        [
          -763.4814749328065,
          -556.8312053494802
        ]
      ],
      "lastCommittedPoint": null,
      "startBinding": {
        "elementId": "Iy_F0CX6mP5KaZiyHLwnd",
        "focus": -0.24873117383547166,
        "gap": 5.583279447019407
      },
      "endBinding": {
        "elementId": "OmvWLqjKAJt977EZPfodw",
        "focus": 0.12000249231340311,
        "gap": 9.906156503045949
      },
      "startArrowhead": null,
      "endArrowhead": "triangle"
    },
    {
      "id": "8vCYE6LIUElQDGc2BKN4y",
      "type": "arrow",
      "x": -335.65162855854874,
      "y": 127.33436524750061,
      "width": 284.8148547176826,
      "height": 185.57189073776624,
      "angle": 0,
      "strokeColor": "#1e1e1e",
      "backgroundColor": "transparent",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "roundness": {
        "type": 2
      },
      "seed": 1310690907,
      "version": 181,
      "versionNonce": 343116437,
      "isDeleted": false,
      "boundElements": null,
      "updated": 1736783849895,
      "link": null,
      "locked": false,
      "points": [
        [
          0,
          0
        ],
        [
          250.66197596091536,
          14.730474863142433
        ],
        [
          284.8148547176826,
          185.57189073776624
        ]
      ],
      "lastCommittedPoint": null,
      "startBinding": {
        "elementId": "OmvWLqjKAJt977EZPfodw",
        "focus": -0.19906922018548923,
        "gap": 13.300287132737935
      },
      "endBinding": {
        "elementId": "J2_e3k_FUq6vXINHQhRse",
        "focus": 0.3035426768860409,
        "gap": 10.43396462618773
      },
      "startArrowhead": null,
      "endArrowhead": "triangle"
    },
    {
      "id": "VW3XAKUet90MTtMUtROFA",
      "type": "text",
      "x": 341.3282050994676,
      "y": 25.126192533282733,
      "width": 234.375,
      "height": 72,
      "angle": 0,
      "strokeColor": "#1e1e1e",
      "backgroundColor": "transparent",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "roundness": null,
      "seed": 39796667,
      "version": 85,
      "versionNonce": 1731162101,
      "isDeleted": false,
      "boundElements": null,
      "updated": 1736783849895,
      "link": null,
      "locked": false,
      "text": "App moving data from\nTCP buffer to App\nBuffer",
      "fontSize": 20,
      "fontFamily": 3,
      "textAlign": "center",
      "verticalAlign": "top",
      "baseline": 68,
      "containerId": null,
      "originalText": "App moving data from\nTCP buffer to App\nBuffer",
      "lineHeight": 1.2
    },
    {
      "id": "TrRmL6A4cW6M9Wb_VDCTV",
      "type": "line",
      "x": 686.3362244304072,
      "y": 72.3329734741531,
      "width": 21.59831031710246,
      "height": 0,
      "angle": 0,
      "strokeColor": "#1e1e1e",
      "backgroundColor": "transparent",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "roundness": {
        "type": 2
      },
      "seed": 2034823765,
      "version": 31,
      "versionNonce": 2042066395,
      "isDeleted": false,
      "boundElements": null,
      "updated": 1736783849895,
      "link": null,
      "locked": false,
      "points": [
        [
          0,
          0
        ],
        [
          21.59831031710246,
          0
        ]
      ],
      "lastCommittedPoint": null,
      "startBinding": null,
      "endBinding": null,
      "startArrowhead": null,
      "endArrowhead": null
    },
    {
      "id": "Lu0jfH1sXzLSni2jvD9Ci",
      "type": "text",
      "x": 685.7352843769322,
      "y": 19.119635984755305,
      "width": 13.803985595703125,
      "height": 35,
      "angle": 0,
      "strokeColor": "#1e1e1e",
      "backgroundColor": "transparent",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "roundness": null,
      "seed": 508460949,
      "version": 37,
      "versionNonce": 1758543611,
      "isDeleted": false,
      "boundElements": null,
      "updated": 1736783860790,
      "link": null,
      "locked": false,
      "text": "p",
      "fontSize": 28,
      "fontFamily": 1,
      "textAlign": "center",
      "verticalAlign": "top",
      "baseline": 25,
      "containerId": null,
      "originalText": "p",
      "lineHeight": 1.25
    },
    {
      "id": "rtzq71sRe2R4RdvzSaZBQ",
      "type": "line",
      "x": 902.5578732884272,
      "y": 149.08537505379883,
      "width": 18.737367132912254,
      "height": 0,
      "angle": 0,
      "strokeColor": "#1e1e1e",
      "backgroundColor": "transparent",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "roundness": {
        "type": 2
      },
      "seed": 16418107,
      "version": 145,
      "versionNonce": 1273882363,
      "isDeleted": false,
      "boundElements": null,
      "updated": 1736783937590,
      "link": null,
      "locked": false,
      "points": [
        [
          0,
          0
        ],
        [
          18.737367132912254,
          0
        ]
      ],
      "lastCommittedPoint": null,
      "startBinding": null,
      "endBinding": null,
      "startArrowhead": null,
      "endArrowhead": null
    },
    {
      "id": "IMqLPWumiEFRscP85eGih",
      "type": "text",
      "x": 914.0693292827237,
      "y": 19.119636441023495,
      "width": 37.71598815917969,
      "height": 35,
      "angle": 0,
      "strokeColor": "#1e1e1e",
      "backgroundColor": "transparent",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "roundness": null,
      "seed": 24352027,
      "version": 63,
      "versionNonce": 246933723,
      "isDeleted": false,
      "boundElements": null,
      "updated": 1736783856089,
      "link": null,
      "locked": false,
      "text": "Ts",
      "fontSize": 28,
      "fontFamily": 1,
      "textAlign": "center",
      "verticalAlign": "top",
      "baseline": 25,
      "containerId": null,
      "originalText": "Ts",
      "lineHeight": 1.25
    },
    {
      "id": "LeCaS8_hxGOuNkH5IudJn",
      "type": "text",
      "x": 990.1560881522364,
      "y": 25.648000620072878,
      "width": 182.294921875,
      "height": 46,
      "angle": 0,
      "strokeColor": "#1e1e1e",
      "backgroundColor": "transparent",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "roundness": null,
      "seed": 1738608885,
      "version": 76,
      "versionNonce": 1237631349,
      "isDeleted": false,
      "boundElements": null,
      "updated": 1736783953557,
      "link": null,
      "locked": false,
      "text": "This is our reference\npoint",
      "fontSize": 20,
      "fontFamily": 2,
      "textAlign": "center",
      "verticalAlign": "top",
      "baseline": 42,
      "containerId": null,
      "originalText": "This is our reference\npoint",
      "lineHeight": 1.15
    },
    {
      "id": "CQz3_rsHIiwv-QXHIBPf7",
      "type": "text",
      "x": -233.48039255377364,
      "y": 157.18574189464823,
      "width": 126.27992248535156,
      "height": 35,
      "angle": 0,
      "strokeColor": "#1e1e1e",
      "backgroundColor": "transparent",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "roundness": null,
      "seed": 1742776373,
      "version": 47,
      "versionNonce": 489241179,
      "isDeleted": false,
      "boundElements": null,
      "updated": 1736783976539,
      "link": null,
      "locked": false,
      "text": "(chunk, li)",
      "fontSize": 28,
      "fontFamily": 1,
      "textAlign": "center",
      "verticalAlign": "top",
      "baseline": 25,
      "containerId": null,
      "originalText": "(chunk, li)",
      "lineHeight": 1.25
    }
  ],
  "appState": {
    "gridSize": null,
    "viewBackgroundColor": "#ffffff"
  },
  "files": {}
}